GNU logs - #8592, boring messages


Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#8592: 24.0.50; improve describe-function/variable
Resent-From: Florian Beck <abstraktion@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 30 Apr 2011 10:58:01 +0000
Resent-Message-ID: <handler.8592.B.130416102524577 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 8592
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 8592 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.130416102524577
          (code B ref -1); Sat, 30 Apr 2011 10:58:01 +0000
Received: (at submit) by debbugs.gnu.org; 30 Apr 2011 10:57:05 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QG7rD-0006OL-N3
	for submit <at> debbugs.gnu.org; Sat, 30 Apr 2011 06:57:04 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <abstraktion@HIDDEN>) id 1QG0yE-0005Bq-Ja
	for submit <at> debbugs.gnu.org; Fri, 29 Apr 2011 23:35:51 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <abstraktion@HIDDEN>) id 1QG0y8-0002Iy-LY
	for submit <at> debbugs.gnu.org; Fri, 29 Apr 2011 23:35:45 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_NONE
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:43281)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <abstraktion@HIDDEN>) id 1QG0y8-0002Ir-Jt
	for submit <at> debbugs.gnu.org; Fri, 29 Apr 2011 23:35:44 -0400
Received: from eggs.gnu.org ([140.186.70.92]:39633)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <abstraktion@HIDDEN>) id 1QG0y7-0000aG-Qz
	for bug-gnu-emacs@HIDDEN; Fri, 29 Apr 2011 23:35:44 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <abstraktion@HIDDEN>) id 1QG0y6-0002HT-Rb
	for bug-gnu-emacs@HIDDEN; Fri, 29 Apr 2011 23:35:43 -0400
Received: from mo-p05-ob.rzone.de ([81.169.146.182]:10922)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <abstraktion@HIDDEN>) id 1QFvYn-00039G-4T
	for bug-gnu-emacs@HIDDEN; Fri, 29 Apr 2011 17:49:13 -0400
X-RZG-AUTH: :KmALZ0mpdbGonPxw7gDkop508XQjelhLxGYn4B74/iddlkME3ssvHN/NVn+dtQ6oeNCXE6uQlA==
X-RZG-CLASS-ID: mo05
Received: from flo-laptop (p54995452.dip.t-dialin.net [84.153.84.82])
	by post.strato.de (klopstock mo12) (RZmta 25.17)
	with (DHE-RSA-AES128-SHA encrypted) ESMTPA id N05843n3TJYY89
	for <bug-gnu-emacs@HIDDEN>; Fri, 29 Apr 2011 23:49:08 +0200 (MEST)
From: Florian Beck <abstraktion@HIDDEN>
Date: Fri, 29 Apr 2011 23:49:07 +0200
Message-ID: <8762pwenjg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Solaris 10 (beta)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -6.6 (------)
X-Mailman-Approved-At: Sat, 30 Apr 2011 06:57:01 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.6 (------)


Both functions provide lots of useful information. Unfortunatly, they do
too much at once. They collect the information AND display it. I'd find
it useul to have access to the help text in a lisp program. So I suggest
splitting the functions up and have one function return the help text,
another display it. Even more useful would be a function returning a
list with source file and position, keybindings, etc for functions and
original value for variables.

-- 
Florian Beck




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.427 (Entity 5.427)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Florian Beck <abstraktion@HIDDEN>
Subject: bug#8592: Acknowledgement (24.0.50; improve describe-function/variable)
Message-ID: <handler.8592.B.130416102524577.ack <at> debbugs.gnu.org>
References: <8762pwenjg.fsf@HIDDEN>
X-Gnu-PR-Message: ack 8592
X-Gnu-PR-Package: emacs
Reply-To: 8592 <at> debbugs.gnu.org
Date: Sat, 30 Apr 2011 10:58:02 +0000

Thank you for filing a new bug report with GNU.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 8592 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
8592: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D8592
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#8592: 24.0.50; improve describe-function/variable
Resent-From: Juri Linkov <juri@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 30 Apr 2011 12:19:01 +0000
Resent-Message-ID: <handler.8592.B8592.13041658911921 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 8592
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Florian Beck <abstraktion@HIDDEN>
Cc: 8592 <at> debbugs.gnu.org
Received: via spool by 8592-submit <at> debbugs.gnu.org id=B8592.13041658911921
          (code B ref 8592); Sat, 30 Apr 2011 12:19:01 +0000
Received: (at 8592) by debbugs.gnu.org; 30 Apr 2011 12:18:11 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QG97j-0000Uv-7y
	for submit <at> debbugs.gnu.org; Sat, 30 Apr 2011 08:18:11 -0400
Received: from smarty.dreamhost.com ([208.113.175.8])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <juri@HIDDEN>) id 1QG97f-0000UW-9j
	for 8592 <at> debbugs.gnu.org; Sat, 30 Apr 2011 08:18:08 -0400
Received: from ps18281.dreamhostps.com (ps18281.dreamhost.com [69.163.218.105])
	by smarty.dreamhost.com (Postfix) with ESMTP id 547DB6E805C;
	Sat, 30 Apr 2011 05:18:01 -0700 (PDT)
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 99713451C298;
	Sat, 30 Apr 2011 05:17:59 -0700 (PDT)
From: Juri Linkov <juri@HIDDEN>
Organization: JURTA
References: <8762pwenjg.fsf@HIDDEN>
Date: Sat, 30 Apr 2011 15:15:33 +0300
In-Reply-To: <8762pwenjg.fsf@HIDDEN> (Florian Beck's message
	of "Fri, 29 Apr 2011 23:49:07 +0200")
Message-ID: <87tydg3pga.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

> Both functions provide lots of useful information. Unfortunatly, they do
> too much at once. They collect the information AND display it. I'd find
> it useul to have access to the help text in a lisp program. So I suggest
> splitting the functions up and have one function return the help text,
> another display it. Even more useful would be a function returning a
> list with source file and position, keybindings, etc for functions and
> original value for variables.

This is what I intended to do:
http://thread.gmane.org/gmane.emacs.devel/125872/focus=126713
I'll continue very soon.




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#8592: 24.0.50; improve describe-function/variable
Resent-From: Florian Beck <abstraktion@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 02 May 2011 21:09:03 +0000
Resent-Message-ID: <handler.8592.B8592.130437052118364 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 8592
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Juri Linkov <juri@HIDDEN>
Cc: Florian Beck <abstraktion@HIDDEN>, 8592 <at> debbugs.gnu.org
Received: via spool by 8592-submit <at> debbugs.gnu.org id=B8592.130437052118364
          (code B ref 8592); Mon, 02 May 2011 21:09:03 +0000
Received: (at 8592) by debbugs.gnu.org; 2 May 2011 21:08:41 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QH0MD-0004m5-28
	for submit <at> debbugs.gnu.org; Mon, 02 May 2011 17:08:41 -0400
Received: from mo-p05-ob.rzone.de ([81.169.146.180])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <abstraktion@HIDDEN>) id 1QH039-0004M9-BI
	for 8592 <at> debbugs.gnu.org; Mon, 02 May 2011 16:49:00 -0400
X-RZG-AUTH: :KmALZ0mpdbGonPxw7gDkop508XQjelhLxGYn4B74/iddlkME3ssvHN/NVn+dtQ6oeNmSC72U8Yw=
X-RZG-CLASS-ID: mo05
Received: from flo-laptop (p54997444.dip.t-dialin.net [84.153.116.68])
	by post.strato.de (fruni mo60) (RZmta 25.17)
	with (DHE-RSA-AES128-SHA encrypted) ESMTPA id x0644en42IBY5t ;
	Mon, 2 May 2011 22:48:50 +0200 (MEST)
From: Florian Beck <abstraktion@HIDDEN>
References: <8762pwenjg.fsf@HIDDEN>
	<87tydg3pga.fsf@HIDDEN>
Date: Mon, 02 May 2011 22:48:49 +0200
In-Reply-To: <87tydg3pga.fsf@HIDDEN> (Juri Linkov's message of "Sat,
	30 Apr 2011 15:15:33 +0300")
Message-ID: <87r58gltfy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -4.3 (----)
X-Mailman-Approved-At: Mon, 02 May 2011 17:08:37 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.9 (---)

Juri Linkov <juri@HIDDEN> writes:

>> Both functions provide lots of useful information. Unfortunatly, they do
>> too much at once. They collect the information AND display it. I'd find
>> it useul to have access to the help text in a lisp program. So I suggest
>> splitting the functions up and have one function return the help text,
>> another display it. Even more useful would be a function returning a
>> list with source file and position, keybindings, etc for functions and
>> original value for variables.
>
> This is what I intended to do:
> http://thread.gmane.org/gmane.emacs.devel/125872/focus=126713
> I'll continue very soon.

That looks exactly like what I need. Looking forward to it!

>
>
>
>

-- 
Florian Beck




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 17 Jul 2021 14:40:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 17 10:40:24 2021
Received: from localhost ([127.0.0.1]:54516 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m4lUO-00071V-E5
	for submit <at> debbugs.gnu.org; Sat, 17 Jul 2021 10:40:24 -0400
Received: from quimby.gnus.org ([95.216.78.240]:52308)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1m4lUM-00071J-Uf
 for control <at> debbugs.gnu.org; Sat, 17 Jul 2021 10:40:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ew70JyqoKx8O8fBvB2nMIsKTuiMM8QbTX7UCoJKbWcY=; b=Ac/XsAFpvZOk5fisLNKwnKXWS9
 ukJMjYZ/eveLd3RyWhbab8E9nmQCHdEv1bgzwmyQNvQBV78JqxOxVlt50DIcTTLal+r5SgCqMA1fQ
 uVaNZa9H7xcS4D1Urqutcx2+Uv3IUQioojIrYwMWBT5oDDy33E2P7PNUK8hcA2/gyrAs=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1m4lUF-00089J-B0
 for control <at> debbugs.gnu.org; Sat, 17 Jul 2021 16:40:17 +0200
Date: Sat, 17 Jul 2021 16:40:14 +0200
Message-Id: <87bl713sxd.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #8592
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  forcemerge 8592 49587 quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

forcemerge 8592 49587
quit






Last modified: Sat, 17 Jul 2021 14:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.